org.mariadb.jdbc.internal.util.scheduler

## Class DynamicSizedSchedulerImpl

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - java.util.concurrent.ScheduledThreadPoolExecutor
      - - org.mariadb.jdbc.internal.util.scheduler.DynamicSizedSchedulerImpl

All Implemented Interfaces:
  Executor, ExecutorService, ScheduledExecutorService, DynamicSizedSchedulerInterface

    public class DynamicSizedSchedulerImpl
    extends ScheduledThreadPoolExecutor
    implements DynamicSizedSchedulerInterface

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

`ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

### Constructor Summary

Constructors
Constructor and Description
`DynamicSizedSchedulerImpl(int corePoolSize, String poolName, int maximumPoolSize)` Initialize a scheduler with dynamic pool size.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setPoolSize(int newSize)` Update the pool thread count with this new value.

### Methods inherited from class java.util.concurrent.ScheduledThreadPoolExecutor

`decorateTask, decorateTask, execute, getContinueExistingPeriodicTasksAfterShutdownPolicy, getExecuteExistingDelayedTasksAfterShutdownPolicy, getQueue, getRemoveOnCancelPolicy, schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay, setContinueExistingPeriodicTasksAfterShutdownPolicy, setExecuteExistingDelayedTasksAfterShutdownPolicy, setRemoveOnCancelPolicy, shutdown, shutdownNow, submit, submit, submit`

### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

`afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated, toString`

### Methods inherited from class java.util.concurrent.AbstractExecutorService

`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.ScheduledExecutorService

`schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay`

### Methods inherited from interface java.util.concurrent.ExecutorService

`awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow, submit, submit, submit`

### Methods inherited from interface java.util.concurrent.Executor

`execute`

### Constructor Detail

#### DynamicSizedSchedulerImpl

    public DynamicSizedSchedulerImpl(int corePoolSize,
                                     String poolName,
                                     int maximumPoolSize)

Initialize a scheduler with dynamic pool size.

Parameters:
  `corePoolSize` - initial Core pool size
  `poolName` - name of pool to identify threads
  `maximumPoolSize` - maximum pool size

### Method Detail

#### setPoolSize

    public void setPoolSize(int newSize)

Description copied from interface: `DynamicSizedSchedulerInterface`
Update the pool thread count with this new value.

Specified by:
  `setPoolSize` in interface `DynamicSizedSchedulerInterface`
Parameters:
  `newSize` - New pool size that is superior to 0